package domain

type AlibabaWdkMarketingItembuygiftQueryactivityCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftQueryactivityCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItembuygiftQueryactivityCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryactivityCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItembuygiftQueryactivityCommonActivityParam {
	s.OutActId = &v
	return s
}
